👉 Skal du installere plugins ikke testet med WordPress-versjonen din?

Hvordan lage en WordPress Blog

Ofte spør brukerne oss om advarselen om at et plugin ikke er testet med sin versjon av WordPress. Skal du installere plugins som plugin? eller finn en annen plugin? I denne artikkelen diskuterer vi hvorfor du bør installere plugins som ikke er testet med din versjon av WordPress? Hva betyr det, og hvordan kan du hjelpe WordPress-fellesskapet?

Når du installerer et plugin fra WordPress-administrasjonsområdet, kan du se en advarsel om at et plugin ikke er testet med din versjon av WordPress.

Hvordan WordPress får ikke testet informasjon?

Det offisielle WordPress-pluginarkivet er den største samlingen av gratis og åpen kildekode-WordPress-plugin. Når du legger inn pluginet, må forfattere sende inn en "readme" -fil med pluginene sine. Denne readme-filen brukes da av plugin-katalogen til å generere plugin-side.

Readme-filen inneholder "Testet opp til" tag som brukes til å vise informasjonen. Pluginforfattere forventes å holde denne informasjonen oppdatert.

Dette betyr at ved hver utgivelse av WordPress, bør pluginforfattere teste pluginene sine og oppdatere readme-filene for pluginene sine.

Hvorfor Ikke Plugin Forfattere Oppdater denne informasjonen?

Mange pluginforfattere oppdaterer ikke sine readme-filer i det hele tatt, selv når de tester deres plugin med den nyeste versjonen.

I en ideell verden ønsker vi alle pluginforfattere å oppdatere denne informasjonen. Men vi lever ikke i en ideell verden.

Husk at disse pluginene er gratis, og du betaler ikke forfattere å laste ned og bruke dem. Pluginforfattere føler seg mindre tilbøyelige til å oppdatere readme-filen med hver utgivelse. De er vanligvis opptatt med sin heltidsjobb og betalte utviklingsprosjekter.

Videoopplæring

Abonner på WPBeginner

Hvis du ikke liker videoen eller trenger mer instruksjoner, fortsett å lese.

Skal jeg installere disse pluginene?

Ja det burde du. Bare fordi en pluginforfatter ikke oppdaterte sin readme-fil, betyr det ikke at de ikke har testet pluginet eller at plugin ikke fungerer med den nyeste versjonen av WordPress.

Hvis du har hørt om et plugin på WPBeginner, kan du trygt anta at vi testet pluginet med den nyeste versjonen av WordPress. Hvis artikkelen du ser på, ble publisert ganske nylig, betyr dette at pluginet er kompatibelt med den nyeste versjonen av WordPress.

På den annen side, hvis et plugin ikke har blitt oppdatert i mer enn to år, betyr dette at sannsynligvis pluginet har blitt forlatt. I så fall bør du ikke installere pluginet.

Det ville være interessant å merke seg at mange plugins som ikke har blitt oppdatert i mer enn to år, faktisk fungerer fortsatt veldig bra. Du bør imidlertid installere dem på egen risiko.

Hvordan kan du hjelpe?

Du kan installere pluginet på WordPress-siden din og teste den ut. Hvis det fungerer som forventet, kom du tilbake til plugin-siden. Logg inn med ditt WordPress.org brukernavn og passord. Deretter bla ned til bunnen av siden der du vil se kompatibilitetsseksjonen.

Bare velg din WordPress-versjon, plugin-versjon, og klikk deretter på Works-knappen. Ved å gjøre det, lar du andre brukere vite at du har testet pluginet, og det fungerer som lovet.

Du kan også kontakte pluginforfatteren og ber dem om å oppdatere pluginets readme-fil

Hva skal jeg gjøre når et plugin er ødelagt?

Igjen, vi vil gjerne minne våre brukere om at hvis det er et gratis plugin, har plugin-forfatteren gitt det som et grunnlag. Det er ingen garanti, ikke engang den underforståtte garantien for fitness. Men spørsmålet er hvordan du kan hjelpe fellesskapet til å håndtere ødelagte plugins?

I stedet for å gi et hardt kommentar til pluginens støttetråd, kan du legge igjen en konstruktiv og nyttig tilbakemelding. Se vår veiledning om hvordan du ordentlig ber om WordPress-støtte og få den.

Før du gjør noe, kan du prøve å installere plugin på forskjellige live eller lokale WordPress installer. Pass på at du også kan gjengi den samme feilen på andre installasjoner.

Når du er sikker på at pluginet er ødelagt, kan du bare beskrive feilen i en støttetråd og la den stå for pluginforfatter eller samfunnet for å svare. Hvis du ikke får svar, kan du prøve å nå ut til pluginforfatteren. De fleste pluginforfattere har kontaktinformasjon på deres WordPress.org-profilsider.

Hvis disse trinnene feiler, bør du gjerne besøke plugin-siden og stemme pluggen som er ødelagt under kompatibilitetsseksjonen.

Vi håper denne artikkelen bidro til å svare på spørsmålene dine om hvorvidt du bør installere plugins som ikke er testet med din versjon av WordPress.

Hvis du likte denne artikkelen, vennligst abonner på vår YouTube Channel for WordPress-videoopplæringsprogrammer. Du kan også finne oss på Twitter og Google+.

Se videoen: Hvordan Lage Blogg Med WordPress (Norsk Tutorial)

Like this post? Please share to your friends:
Legg att eit svar

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: